Laravel

2018-02-01

安装

1.使用laravel安装器安装

composer global require "laravel/installer"

执行完后系统里就有laravel命令了

然后就可以安装了:

laravel new blog

2.如果需要安装指定版本,则需使用composer安装

composer create-project --prefer-dist laravel/laravel blog "5.4.*"

运行

php artisan serve

访问 http://localhost:8000 试试看吧!

相关命令

# 查看laravel版本
php artisan -V

配置

查看laravel项目目录下.env文件是否存在,如果不存在需根据.env.example手动创建

voyager安装

参考官方文档:https://github.com/the-control-group/voyager